//OrganizationServiceMock(rpc.currentHostAddress);
import 'package:fis_jsonrpc/rpc.dart';
import 'services/organization.dart';
import 'services/user.dart';

class JsonRpcMockProxy extends JsonRpcProxy {
  JsonRpcMockProxy({String? host}) : super(host: host);

  @override
  OrganizationService get organization =>
      OrganizationServiceMock(currentHostAddress);

  @override
  UserService get user => UserServiceMock(currentHostAddress);
}
